import { Request, Response } from 'express'
import { StudentDao } from '../../dao/_index'


 export function getAllUsers(req: Request, res: Response) {
     return StudentDao
     .findAll()
     .then(students => res.status(200).send(students))
     .catch(error => res.boom.badRequest(error))
}

export function getUserBasePagination(req: Request, res: Response) {
    return StudentDao.findStudentPagination(req.query.page, req.query.pagesize)
    .then(students => res.status(200).send(students.rows))
}
